GpgFrontend::UI::KeyMgmt Class Reference
Inheritance diagram for GpgFrontend::UI::KeyMgmt:
Collaboration diagram for GpgFrontend::UI::KeyMgmt:

## Public Slots

void | SlotGenerateSubKey ()
void | SlotExportKeyToKeyPackage ()
void | SlotExportKeyToClipboard ()
void | SlotExportAsOpenSSHFormat ()
void | SlotDeleteSelectedKeys ()
void | SlotDeleteCheckedKeys ()
void | SlotGenerateKeyDialog ()
void | SlotShowKeyDetails ()
void | SlotImportKeyPackage ()

## Signals

void | SignalStatusBarChanged (QString)
void | SignalKeyStatusUpdated ()

## Public Member Functions

| KeyMgmt (QWidget *parent=nullptr)
| Construct a new Key Mgmt object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralMainWindow
| GeneralMainWindow (std::string name, QWidget *parent=nullptr)

## Private Member Functions

void | create_menus ()
| Create a menus object. More...
void | create_actions ()
| Create a actions object. More...
void | create_tool_bars ()
| Create a tool bars object. More...
void | delete_keys_with_warning (GpgFrontend::KeyIdArgsListPtr uidList)

## Private Attributes

KeyList * | key_list_
QMenu * | file_menu_ {}
QMenu * | key_menu_ {}
QMenu * | generate_key_menu_ {}
QMenu * | import_key_menu_ {}
QAction * | open_key_file_act_ {}
QAction * | export_key_to_file_act_ {}
QAction * | export_key_as_open_ssh_format_ {}
QAction * | export_key_to_clipboard_act_ {}
QAction * | delete_checked_keys_act_ {}
QAction * | delete_selected_keys_act_ {}
QAction * | generate_key_dialog_act_ {}
QAction * | generate_key_pair_act_ {}
QAction * | generate_subkey_act_ {}
QAction * | import_key_from_clipboard_act_ {}
QAction * | import_key_from_file_act_ {}
QAction * | import_key_from_key_server_act_ {}
QAction * | import_keys_from_key_package_act_ {}
QAction * | close_act_ {}
QAction * | show_key_details_act_ {}
KeyServerImportDialog * | import_dialog_ {}

## Additional Inherited Members

Protected Member Functions inherited from GpgFrontend::UI::GeneralMainWindow
void | closeEvent (QCloseEvent *event)
Protected Attributes inherited from GpgFrontend::UI::GeneralMainWindow
QSize | icon_size_ {}
int | font_size_ {}

## Constructor & Destructor Documentation

## KeyMgmt()

GpgFrontend::UI::KeyMgmt::KeyMgmt | ( | QWidget * | parent = `nullptr` | ) |

explicit

Construct a new Key Mgmt object.

Parameters

  parent |

References GpgFrontend::UI::KeyList::AddListGroupTab(), GpgFrontend::UI::KeyList::AddMenuAction(), create_actions(), create_menus(), create_tool_bars(), GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::GlobalSettingStation::GetUISettings(), GpgFrontend::GpgKey::IsDisabled(), GpgFrontend::GpgKey::IsExpired(), GpgFrontend::GpgKey::IsHasMasterKey(), GpgFrontend::GpgKey::IsPrivateKey(), GpgFrontend::GpgKey::IsRevoked(), GpgFrontend::UI::KeyList::SetDoubleClickedAction(), and GpgFrontend::UI::SignalStation::SignalRefreshStatusBar().

## Member Function Documentation

## create_actions()

void GpgFrontend::UI::KeyMgmt::create_actions | ( |  | ) |

private

Create a actions object.

References GpgFrontend::UI::CommonUtils::GetInstance(), GpgFrontend::UI::CommonUtils::SlotImportKeyFromClipboard(), GpgFrontend::UI::CommonUtils::SlotImportKeyFromFile(), and GpgFrontend::UI::CommonUtils::SlotImportKeyFromKeyServer().

Referenced by KeyMgmt().

## create_menus()

void GpgFrontend::UI::KeyMgmt::create_menus | ( |  | ) |

private

Create a menus object.

Referenced by KeyMgmt().

## create_tool_bars()

void GpgFrontend::UI::KeyMgmt::create_tool_bars | ( |  | ) |

private

Create a tool bars object.

Referenced by KeyMgmt().

## delete_keys_with_warning()

void GpgFrontend::UI::KeyMgmt::delete_keys_with_warning | ( | GpgFrontend::KeyIdArgsListPtr | uidList | ) |

private

Parameters

  uidList |

TODO: Different Messages for private/public key, check if more than one selected... compare to seahorse "delete-dialog"

References GpgFrontend::GpgKeyOpera::DeleteKeys(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::SingletonFunctionObject< GpgKeyOpera >::GetInstance(), and GpgFrontend::GpgKeyGetter::GetKey().

The documentation for this class was generated from the following files:

- src/ui/main_window/KeyMgmt.h
- src/ui/main_window/KeyMgmt.cpp